| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Rndm::GaussianTail Class Reference

Parameters for the Gaussian tail number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::GaussianTail:
[legend]
Collaboration diagram for Rndm::GaussianTail:
[legend]

## Public Member Functions
| GaussianTail (double a, double s)
| Standard Constructor. More...
| ~GaussianTail () override=default
| Standard Destructor. More...
double | cut () const
| Access cut value of the distribution. More...
double | sigma () const
| Access sigma of the distribution. More...
GaussianTail * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_cut
| Cut on the Gaussian tail distribution. More...
double | m_sigma
| Sigma of the Gauss ditribution. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Detailed Description

Parameters for the Gaussian tail number generation.

Definition at line 358 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::GaussianTail::GaussianTail | ( | double | a,
|  | double | s
| ) |  |
| inline

Standard Constructor.

Definition at line 368 of file RndmGenerators.h.

368 : IRndmGen::Param( IID_IRndmGaussianTail ), m_cut( a ), m_sigma( s ) {}
Rndm::GaussianTail::m_sigma
double m_sigma
Sigma of the Gauss ditribution.
Definition: RndmGenerators.h:364
Rndm::GaussianTail::m_cut
double m_cut
Cut on the Gaussian tail distribution.
Definition: RndmGenerators.h:362
IRndmGen::Param
Definition: IRndmGen.h:40
gaudirun.s
string s
Definition: gaudirun.py:253

Rndm::GaussianTail::~GaussianTail | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

GaussianTail* Rndm::GaussianTail::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 378 of file RndmGenerators.h.

378 { return new GaussianTail( m_cut, m_sigma ); }
Rndm::GaussianTail::GaussianTail
GaussianTail(double a, double s)
Standard Constructor.
Definition: RndmGenerators.h:368
Rndm::GaussianTail::m_sigma
double m_sigma
Sigma of the Gauss ditribution.
Definition: RndmGenerators.h:364
Rndm::GaussianTail::m_cut
double m_cut
Cut on the Gaussian tail distribution.
Definition: RndmGenerators.h:362

double Rndm::GaussianTail::cut | ( |  | ) | const
| inline

Access cut value of the distribution.

Definition at line 372 of file RndmGenerators.h.

372 { return m_cut; }
Rndm::GaussianTail::m_cut
double m_cut
Cut on the Gaussian tail distribution.
Definition: RndmGenerators.h:362

double Rndm::GaussianTail::sigma | ( |  | ) | const
| inline

Access sigma of the distribution.

Definition at line 374 of file RndmGenerators.h.

374 { return m_sigma; }
Rndm::GaussianTail::m_sigma
double m_sigma
Sigma of the Gauss ditribution.
Definition: RndmGenerators.h:364

static const InterfaceID& Rndm::GaussianTail::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 376 of file RndmGenerators.h.

376 { return IID_IRndmGaussianTail; }

## Member Data Documentation

double Rndm::GaussianTail::m_cut
| protected

Cut on the Gaussian tail distribution.

Definition at line 362 of file RndmGenerators.h.

double Rndm::GaussianTail::m_sigma
| protected

Sigma of the Gauss ditribution.

Definition at line 364 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h